regex_grep_matcher.h File Reference

Go to the source code of this file.

## Classes

class | std::__detail::_Grep_matcher
class | std::__detail::_SpecializedResults< _FwdIterT, _Alloc >
class | std::match_results< _Bi_iter, _Alloc >
class | std::sub_match< _BiIter >

## Namespaces

namespace | std
namespace | std::__detail

## Typedefs

typedef std::stack< _StateIdT, std::vector< _StateIdT > > | std::__detail::_StateStack

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <regex>.

Definition in file regex_grep_matcher.h.